<hr>
<h3>CVS Change Log:</h3>

<pre>
Changes since v3_1_0:
=====================

Date: 2007/08/13 21:29:30 CDT
Author: nli;
Description:
  fixed issue where tableimport limits for xml types were in bytes instead of kilobytes

Date: 2007/08/13 21:15:58 CDT
Author: nli;
Description:
  regression test page queries updated for new schema.

Date: 2007/08/13 19:59:26 CDT
Author: nli;
Description:
  GroupsContent.aspx no longer shows group members if GID  == ID.PUBLIC_GROUP

Date: 2007/07/23 16:44:41 CDT
Author: nli;
Description:
  StartToughJob throws the last exception if all attempts fail

Date: 2007/07/11 12:14:15 CDT
Author: thakar;
Description:
  Updated skyserver links from dr4 to "public" which points always to the latest
  public site (fix for PR #7328).

Date: 2007/07/09 12:03:29 CDT
Author: thakar;
Description:
  Updated FITS temp dir location.

Date: 2007/06/24 15:35:43 CDT
Author: nli;
Description:
  submitjob.aspx 'bubbling' text frequency decreased

Date: 2007/06/24 15:23:38 CDT
Author: nli;
Description:
  --updateuser should no longer break on null privs
  --jobs will no longer get stuck if set to mail and mail fails

Date: 2007/05/18 16:39:14 CDT
Author: nli;
Description:
  groupsindex.aspx and groupscontent.aspx set to no-cache

Date: 2007/05/18 16:28:16 CDT
Author: nli;
Description:
  inviteuser.aspx now shows users properly in IE

Date: 2007/05/18 15:07:43 CDT
Author: nli;
Description:
  whitespace:nowrap added to submitjob.aspx result panel

Date: 2007/05/10 14:42:27 CDT
Author: nli;
Description:
  minor formatting

Date: 2007/05/10 14:39:28 CDT
Author: nli;
Description:
  syntax highlighting for mydb object source

Date: 2007/05/10 13:00:02 CDT
Author: nli;
Description:
  font changed for code sql sections of mydbcontent

Date: 2007/05/10 12:50:20 CDT
Author: nli;
Description:
  context/table/taskname propogated on resubmit

Date: 2007/05/10 12:41:42 CDT
Author: nli;
Description:
  mydb pages ---
    --  source query now available for view
    -- non-mydb function/procedures now have 'note' option

Date: 2007/05/10 03:05:21 CDT
Author: nli;
Description:
  mydbcontent error fixed

Date: 2007/05/09 23:30:06 CDT
Author: nli;
Description:
  internal calls to basic job status operations (start/cancel, etc) now can make multiple attempts upon failure.
  failures should be handled more gracefully

Date: 2007/05/09 22:49:25 CDT
Author: nli;
Description:
  *** empty log message ***

Date: 2007/05/09 22:44:22 CDT
Author: nli;
Description:
  *** empty log message ***

Date: 2007/05/09 21:51:55 CDT
Author: nli;
Description:
  vtimesubmit functionality should now work properly again

Date: 2007/05/09 21:28:19 CDT
Author: nli;
Description:
  cancelling jobs should now count towards a users queue limit

Date: 2007/05/09 21:26:34 CDT
Author: nli;
Description:
  jobservice no longer triggers ready job query when running jobs complete

Date: 2007/05/09 21:17:37 CDT
Author: nli;
Description:
  inviteuser.aspx now orders group members by name

Date: 2007/05/09 21:05:31 CDT
Author: nli;
Description:
  fixed an error where a user could get two jobs to run in the same queue if submitted in rapid succession

Date: 2007/05/09 20:56:40 CDT
Author: nli;
Description:
  fixed a bug where admin.aspx could occasionally fail to load

Date: 2007/05/09 20:26:58 CDT
Author: nli;
Description:
  fixed an error with group tables on mydbcontext.aspx

Date: 2007/05/09 20:15:44 CDT
Author: nli;
Description:
  css update

Date: 2007/05/09 19:59:24 CDT
Author: nli;
Description:
  tables that start with numbers handled correctly with mydbconent.aspx

Date: 2007/05/09 19:52:56 CDT
Author: nli;
Description:
  web interface now reflects multi-group system better
  fixed errors regarding grouptables remaining published after group destruction, member desubscription
  new users should now have gvisible set to true by default

Date: 2007/05/09 15:27:49 CDT
Author: nli;
Description:
  '#''s removed from csv output

Date: 2007/05/09 14:52:38 CDT
Author: nli;
Description:
  mydb neighbors now functional again

Date: 2007/05/09 14:41:14 CDT
Author: nli;
Description:
  browser compatibility to default.aspx

Date: 2007/05/09 14:38:00 CDT
Author: nli;
Description:
  updated casjobscl

Date: 2007/05/08 16:57:03 CDT
Author: nli;
Description:
  *** empty log message ***

Date: 2007/05/08 15:50:54 CDT
Author: nli;
Description:
  data-intensive operations in mydbcontext.aspx are now asyncronous

Date: 2007/05/04 19:54:57 CDT
Author: nli;
Description:
  stylesheet update

Date: 2007/05/04 19:50:14 CDT
Author: nli;
Description:
  *** empty log message ***

Date: 2007/05/04 19:27:33 CDT
Author: nli;
Description:
  --improved table to job tracking
  --removed 'tables' table

Date: 2007/05/04 17:01:08 CDT
Author: nli;
Description:
  mydb.aspx will automatically depublish a table if it is queried and does not exist

Date: 2007/05/04 16:10:02 CDT
Author: nli;
Description:
  columns are now assigned random names in the event of a naming conflict

Date: 2007/05/03 15:00:47 CDT
Author: nli;
Description:
  *** empty log message ***

Date: 2007/05/03 14:32:10 CDT
Author: nli;
Description:
  users that are not members of groups should now be able to see null privileged contexts

Date: 2007/05/02 16:34:55 CDT
Author: nli;
Description:
  jobid link in admin.aspx now works correctly again

Date: 2007/05/02 16:18:58 CDT
Author: nli;
Description:
  jobservice updates
  admin.aspx updates

Date: 2007/04/30 12:20:51 CDT
Author: nli;
Description:
  whoops.  shows cancelling jobs, not cancelled

Date: 2007/04/30 12:18:50 CDT
Author: nli;
Description:
  --admin.aspx now shows cancelling jobs

Date: 2007/04/30 12:09:04 CDT
Author: nli;
Description:
  notes display cleaned up

Date: 2007/04/27 16:54:35 CDT
Author: nli;
Description:
  basic notes functionality

Date: 2007/04/27 10:45:06 CDT
Author: thakar;
Description:
  Added uc1:Trailer tag registration.

Date: 2007/04/26 17:46:54 CDT
Author: nli;
Description:
  --fixed an error in the abstract group to literal object reference

Date: 2007/04/26 17:18:40 CDT
Author: nli;
Description:
  --server access is now tied to a users group[s]
  --'sight' and 'admin' are the only remaining user-level privs with any effect

Date: 2007/04/26 15:35:39 CDT
Author: nli;
Description:
  added 'local' view type to mydbindex
  schema change:
  groups ->
    -- add privs column, varchar(200)
  
  admin.aspx allows group search/update

Date: 2007/04/25 13:51:05 CDT
Author: nli;
Description:
  removed redundant information from servers and mydbhosts table
  code modified to support this
  schema changes:
  servers ->
    --add CStringExtra column, varchar(200)
    --add Password column, varchar(200)
    --rename owner column to usr
    --fill in appropriate values
    --remove ConnectionString column
  
  mydbhosts ->
    -- rename 'user' to usr
    -- add CStringExtraColumn
    -- add admin_usr varchar column
    -- add admin_pw varchar column

Date: 2007/04/25 12:03:27 CDT
Author: nli;
Description:
  optimized sql generation in JobXXX classes

Date: 2007/04/25 10:59:43 CDT
Author: nli;
Description:
  --it should no longer be possible to 'submit' jobs to short queues
  --queue added to jobdetails page

Date: 2007/04/24 20:57:56 CDT
Author: nli;
Description:
  tweaks to function/procedure pages

Date: 2007/04/24 20:19:44 CDT
Author: nli;
Description:
  mydb table sample size bumped down to 10 rows.

Date: 2007/04/24 20:10:16 CDT
Author: nli;
Description:
  mydbcontent.aspx: clicking on 'plot' with a wide table should no longer stall the browser

Date: 2007/04/24 17:52:23 CDT
Author: nli;
Description:
  login title changed to login

Date: 2007/04/24 16:29:37 CDT
Author: nli;
Description:
  heavy sessino vars removed from mydebindex.aspx

Date: 2007/04/24 15:38:46 CDT
Author: nli;
Description:
  last newline removed from csv output

Date: 2007/04/24 15:29:23 CDT
Author: nli;
Description:
  mydbindex.aspx group toggler

Date: 2007/04/24 14:50:50 CDT
Author: nli;
Description:
  gvisible is now a column in the user table, not a priv
  added public group



Changes since v3_0_3:
=====================

Date: 2007/04/19 15:54:32 CDT
Author: nli;
Description:
  more submitjob.aspx tweaking

Date: 2007/04/19 15:16:34 CDT
Author: nli;
Description:
  tweaks to floaters on submitjob.aspx

Date: 2007/04/19 14:48:57 CDT
Author: nli;
Description:
  default background of some frame is not red

Date: 2007/04/19 14:15:20 CDT
Author: nli;
Description:
  browsers should hopefully no longer display incorrect cached images for plans.

Date: 2007/04/19 14:10:32 CDT
Author: nli;
Description:
  grammar is good

Date: 2007/04/19 14:06:36 CDT
Author: nli;
Description:
  submitjob.aspx should now show a non-cryptic error message upon session expiration.

Date: 2007/04/19 14:00:15 CDT
Author: nli;
Description:
  viewjobs should now show the correct number of pages

Date: 2007/04/19 13:47:54 CDT
Author: nli;
Description:
  -devel stuff moved off default.aspx to devel.aspx
  -link to devel.aspx included in guide.aspx
  -brief installation pointers included in devel.aspx

Date: 2007/04/19 13:46:24 CDT
Author: nli;
Description:
  -devel stuff moved off default.aspx to devel.aspx
  -link to devel.aspx included in guide.aspx
  -brief installation pointers included in devel.aspx

Date: 2007/04/19 11:47:20 CDT
Author: nli;
Description:
  submitjob.aspx should now reliably show messages with odd characters

Date: 2007/04/18 22:55:19 CDT
Author: nli;
Description:
  plan maker catches exceptions again
  jobservice compiles debug and release to /bin
  jobservice/bin/release dir removed

Date: 2007/04/18 22:48:37 CDT
Author: nli;
Description:
  submitjob.aspx should no longer become distorted at very large widths

Date: 2007/04/18 22:46:18 CDT
Author: nli;
Description:
  plan maker should no longer display literal dobject paths in embedded queries

Date: 2007/04/18 22:28:31 CDT
Author: nli;
Description:
  --fixed plan maker crash on 0 cost operations
  --plan maker now renders multi part plans

Date: 2007/04/18 17:36:00 CDT
Author: nli;
Description:
  trailer.ascx now encodes the url

Date: 2007/04/18 16:42:18 CDT
Author: nli;
Description:
  simplified positioning for sample query hover text , should now be more consistent.

Date: 2007/04/18 16:32:36 CDT
Author: nli;
Description:
  createaccount and login error message now look consistent.

Date: 2007/04/18 16:23:57 CDT
Author: nli;
Description:
  groupsindex column now a consistent width

Date: 2007/04/18 16:17:35 CDT
Author: nli;
Description:
  submitjob revision complete

Date: 2007/04/18 12:00:47 CDT
Author: nli;
Description:
  mydbcontent update complete. ff/ie tested

Date: 2007/04/17 20:39:52 CDT
Author: nli;
Description:
  partial updates to mydbcontent

Date: 2007/04/17 14:25:11 CDT
Author: nli;
Description:
  additional sanity checks in CreateJob
  submitjob.aspx now shows lmessage param

Date: 2007/04/16 16:53:31 CDT
Author: thakar;
Description:
  Fixed link to VO pages.

Date: 2007/04/12 15:30:58 CDT
Author: nli;
Description:
  jobsservice fixes, admin reorg

Date: 2007/04/12 14:05:10 CDT
Author: nli;
Description:
  *** empty log message ***

Date: 2007/04/12 14:03:57 CDT
Author: nli;
Description:
  null query handling in createjob

Date: 2007/04/12 13:53:04 CDT
Author: nli;
Description:
  #7207 closed

Date: 2007/04/09 12:15:55 CDT
Author: nli;
Description:
  jobservice a more chatty with cancel jobs (console only)

Date: 2007/04/09 12:13:10 CDT
Author: nli;
Description:
  changed some descriptions

Date: 2007/04/09 12:01:37 CDT
Author: nli;
Description:
  'cancelling' jobs converted to 'cancelled' upon job

Date: 2007/04/09 11:54:32 CDT
Author: nli;
Description:
  fixed error where jobsservice would not continue to cancel jobs if a canceled job's target no longer existed

Date: 2007/04/09 11:28:47 CDT
Author: nli;
Description:
  jobservice rebuilt

Date: 2007/04/05 15:08:29 CDT
Author: nli;
Description:
  tokens like 'platex)' should no longer be confused with function calls.

Date: 2007/03/27 14:26:35 CDT
Author: nli;
Description:
  updated casjobscl page

Date: 2007/03/27 14:15:50 CDT
Author: nli;
Description:
  new casjobscl build

Date: 2007/03/22 13:59:08 CDT
Author: nli;
Description:
  added /docs/cj_emptybackup.zip

Date: 2007/03/21 12:57:57 CDT
Author: nli;
Description:
  new casjobscl

Date: 2007/03/17 20:07:47 CDT
Author: thakar;
Description:
  Updated Java version in CasJobsCL help info.

Date: 2007/03/13 17:27:35 CDT
Author: nli;
Description:
  anon access removed.
  cleaned up for release

Date: 2007/02/26 10:56:55 CST
Author: nli;
Description:
  submitjob.aspx should be a bit zippier

Date: 2007/02/19 13:50:31 CST
Author: nli;
Description:
  into clauses are removed when fetching a plan for queries that start with 'select'

Date: 2007/02/19 13:42:16 CST
Author: nli;
Description:
  login.aspx just says userid now, not userid/email

Date: 2007/02/15 16:26:44 CST
Author: nli;
Description:
  --server privs system updated, more robust
  --ztest page functionality restored, link added to admin page

Date: 2007/02/15 14:52:58 CST
Author: nli;
Description:
  js files moved to /scripts, references updated

Date: 2007/02/15 14:22:41 CST
Author: nli;
Description:
  trailer.ascx converted to deployment-independent style.
  trailer.ascx-specfic web.config variables removed and embedded in trailer.ascx

Date: 2007/02/13 15:43:03 CST
Author: nli;
Description:
  user search tweaks

Date: 2007/02/13 15:21:54 CST
Author: nli;
Description:
  --new mydbs  have all users in mydbhosts table added by default
  --user search @admin.aspx

Date: 2007/02/02 16:40:30 CST
Author: thakar;
Description:
  Added note re Java version to CL tool page.

Date: 2007/02/02 16:37:07 CST
Author: thakar;
Description:
  Updated compound query example.

Date: 2007/02/02 16:20:47 CST
Author: thakar;
Description:
  Added simple compound query example to Advanced Queries page.

Date: 2007/02/02 11:23:34 CST
Author: thakar;
Description:
  Changed "excede" to "exceed" (spelling).



Changes since v3_0_2:
=====================

Date: 2007/01/04 14:54:04 CST
Author: thakar;
Description:
  Updated changelog for v3_0_3.

Date: 2007/01/04 13:50:49 CST
Author: thakar;
Description:
  Added more info to import page re formats of files etc.

Date: 2007/01/02 14:44:27 CST
Author: nli;
Description:
  mydbcontent.aspx 'job' subpanel no longer visible for group tables

Date: 2007/01/02 14:39:57 CST
Author: nli;
Description:
  added commas to mydbcontent group table size and rows

Date: 2007/01/02 14:36:15 CST
Author: nli;
Description:
  mydbcontent.aspx now shows group table spaceused/rows

Date: 2007/01/02 14:33:17 CST
Author: nli;
Description:
  mydbcontent.aspx now shows source queries for group tables.

Date: 2007/01/02 13:44:24 CST
Author: nli;
Description:
  submitjob.aspx now uses server.rank column for context ordering.

Date: 2007/01/02 13:29:39 CST
Author: nli;
Description:
  failed user account creation should now display an appropriate error message.

Date: 2007/01/02 12:52:51 CST
Author: nli;
Description:
  fixed manifest error in casjobscl


=======
Changes since v3_0_2:
=====================

Date: 2007/01/04 14:54:04 CST
Author: thakar;
Description:
  Updated changelog for v3_0_3.

Date: 2007/01/04 13:50:49 CST
Author: thakar;
Description:
  Added more info to import page re formats of files etc.

Date: 2007/01/02 14:44:27 CST
Author: nli;
Description:
  mydbcontent.aspx 'job' subpanel no longer visible for group tables

Date: 2007/01/02 14:39:57 CST
Author: nli;
Description:
  added commas to mydbcontent group table size and rows

Date: 2007/01/02 14:36:15 CST
Author: nli;
Description:
  mydbcontent.aspx now shows group table spaceused/rows

Date: 2007/01/02 14:33:17 CST
Author: nli;
Description:
  mydbcontent.aspx now shows source queries for group tables.

Date: 2007/01/02 13:44:24 CST
Author: nli;
Description:
  submitjob.aspx now uses server.rank column for context ordering.

Date: 2007/01/02 13:29:39 CST
Author: nli;
Description:
  failed user account creation should now display an appropriate error message.

Date: 2007/01/02 12:52:51 CST
Author: nli;
Description:
  fixed manifest error in casjobscl


Changes since v3_0_1:
=====================

Date: 2006/12/15 16:04:32 CST
Author: nli;
Description:
  submitjob and submitshortjob should no longer fail when taskname is null

Date: 2006/12/15 16:00:51 CST
Author: nli;
Description:
  mydbcontext.aspx's 'preview' function should now work correctly for group tables.

Date: 2006/12/15 15:55:57 CST
Author: nli;
Description:
  style sheet update

Date: 2006/12/13 20:26:26 CST
Author: nli;
Description:
  --submitjob.aspx now handles 'tall' messages differently
  --submitjob.aspx now hides all stacktraces when debug mode is inactive.

Date: 2006/12/13 20:24:32 CST
Author: nli;
Description:
  submitjob.aspx now handles 'tall' messages differently

Date: 2006/12/13 18:44:54 CST
Author: nli;
Description:
  updated CASJobsCL

Date: 2006/12/13 14:51:43 CST
Author: nli;
Description:
  fixed sorting issue that was a side effect of commas

Date: 2006/12/13 14:20:15 CST
Author: nli;
Description:
  TempDir parameter added to Web.config

Date: 2006/12/12 18:23:13 CST
Author: nli;
Description:
  --mydbcontent.aspx reports space used, instead of space allocated
  --various cosmetic changes to mydb pages

Date: 2006/12/12 18:21:13 CST
Author: nli;
Description:
  --mydbcontent.aspx reports space used, instead of space allocated
  --various cosmetic changes to mydb pages

Date: 2006/12/12 15:02:52 CST
Author: nli;
Description:
  will now correctly tables whose names contain the substring 'mydb'

Date: 2006/12/12 14:35:55 CST
Author: nli;
Description:
  cleaned up mydbcontent.aspx to meet http://www.w3.org/1999/xhtml

Date: 2006/12/12 14:22:21 CST
Author: nli;
Description:
  TableImport.aspx now propogates a user-entered table name correctly.



Changes since v2_8_7:
=====================

Date: 2006/10/30 13:39:53 CST
Author: nli;
Description:
  new datawrapper lib

Date: 2006/10/29 16:11:34 CST
Author: nli;
Description:
  --new datawrapper lib
  --tableimport uses sqlbulkcopy/csvdatareader combo

Date: 2006/10/26 17:57:25 CDT
Author: nli;
Description:
  --getplans and other shortjobs without @@rowcount should work correctly

Date: 2006/10/26 17:04:57 CDT
Author: thakar;
Description:
  Updates to FAQ and advanced queries for enumerator column, and new contact
  page URL added.

Date: 2006/10/26 15:23:39 CDT
Author: nli;
Description:
  ensured sqlbulkcopy closes

Date: 2006/10/24 17:04:12 CDT
Author: nli;
Description:
  release

Date: 2006/10/24 17:03:33 CDT
Author: nli;
Description:
  --out with inserts, in with sqlbulkcopy
  --rows entry in jobs table should now be updated correctly

Date: 2006/10/23 14:26:08 CDT
Author: nli;
Description:
  release version

Date: 2006/10/23 14:25:38 CDT
Author: nli;
Description:
  --viewplan.aspx now displays the appropriate plan.

Date: 2006/09/27 16:38:27 CDT
Author: thakar;
Description:
  Updates to nbor search query samples.

Date: 2006/09/22 15:57:41 CDT
Author: nli;
Description:
  *** empty log message ***

Date: 2006/09/22 15:56:46 CDT
Author: nli;
Description:
  multiple '+' chars in a query are now saved correcly

Date: 2006/09/21 17:19:46 CDT
Author: nli;
Description:
  *** empty log message ***

Date: 2006/09/19 13:44:18 CDT
Author: thakar;
Description:
  Updated trailer to make contact link point to the new contact page.

Date: 2006/09/17 23:00:56 CDT
Author: thakar;
Description:
  Resolved conflicts.

Date: 2006/09/15 16:33:14 CDT
Author: nli;
Description:
  select into without a mydb prefix should work correctly now.

Date: 2006/09/15 16:18:33 CDT
Author: nli;
Description:
  fixed some newlines

Date: 2006/09/15 16:02:44 CDT
Author: nli;
Description:
  fixed error with selecting into mydb tables from non-mydb context
  fixed error with using the auto select-into function with mydb as the context
  
  handled error where no table is selected during unpublish event.

Date: 2006/09/15 15:30:40 CDT
Author: nli;
Description:
  cookies sucks, switched to server-side query memory

Date: 2006/09/14 22:34:58 CDT
Author: nli;
Description:
  multi-cookie-query-load should not fill with nulls on initial load.

Date: 2006/09/14 21:54:38 CDT
Author: nli;
Description:
  cleaned up mydbindex
  removed 'home' link
  SDSS Query/ CasJobs goes to home
  added skyserver link

Date: 2006/09/14 20:20:04 CDT
Author: nli;
Description:
  queries are saved in multiple cookies now, instead of one.
  size of query saved is limited to 3000*19 chars.

Date: 2006/09/14 15:33:45 CDT
Author: nli;
Description:
  added install documentation under /docs

Date: 2006/09/14 15:18:12 CDT
Author: nli;
Description:
  queries are saved to session memory

Date: 2006/09/14 11:35:46 CDT
Author: nli;
Description:
  minor cosmetic changes

Date: 2006/09/13 10:50:05 CDT
Author: nli;
Description:
  back from summer

Date: 2006/09/12 13:42:59 CDT
Author: nli;
Description:
  back

Date: 2006/09/12 13:38:55 CDT
Author: nli;
Description:
  *** empty log message ***

Date: 2006/08/11 15:43:06 CDT
Author: thakar;
Description:
  Added usage of variables and compound query examples to the advanced queries
  page.

Date: 2006/08/11 13:58:23 CDT
Author: thakar;
Description:
  Moved list of changes from casnews.txt to changes.txt and included it in ChangeLog.aspx.

Date: 2006/08/09 11:13:49 CDT
Author: thakar;
Description:
  Fixed bug in changelog page, and created new help desk contact page.

Date: 2006/06/08 16:41:38 CDT
Author: nli;
Description:
  --select into now functions correctly
  --server is refered to as [server]
  --query to check mydb usage should work correctly when there are no allocated mydbs

Date: 2006/05/09 13:32:34 CDT
Author: thakar;
Description:
  Added compound query sample.

Date: 2006/05/09 13:00:26 CDT
Author: nli;
Description:
  --mydb page fix

Date: 2006/04/25 12:47:31 CDT
Author: nli;
Description:
  --query memory limitations for quick queries should now function as intended
  References/edu.jhu.pha.skyservice/ImgCutout.wsdl:1.2

Date: 2006/04/13 12:22:09 CDT
Author: nli;
Description:
  took out transactions

Date: 2006/04/13 12:19:53 CDT
Author: nli;
Description:
  took out transactions

Date: 2006/04/07 13:33:59 CDT
Author: thakar;
Description:
  Added queue changes note to news sample file.

Date: 2006/04/07 00:32:57 CDT
Author: nli;
Description:
  *.asmx files fixed

Date: 2006/04/06 23:42:55 CDT
Author: nli;
Description:
  more css update

Date: 2006/04/06 23:34:24 CDT
Author: nli;
Description:
  css update

Date: 2006/04/06 20:47:58 CDT
Author: nli;
Description:
  --jobs should timeout appropriately now
  --groups should be properly accesable now

Date: 2006/04/06 13:50:27 CDT
Author: nli;
Description:
  error messages should not take up more than one line in the submit query page, until moused over
  
  this is hopefully a tag candidate.

Date: 2006/04/06 13:31:37 CDT
Author: nli;
Description:
  --jobs directed to dbs with connection issues should now fail correctly

Date: 2006/04/06 13:20:26 CDT
Author: nli;
Description:
  --successful jobs should no longer be marked as cancelled

Date: 2006/04/06 13:03:58 CDT
Author: nli;
Description:
  --removed transaction usage for mydbcommand in drstatement

Date: 2006/04/06 13:01:18 CDT
Author: nli;
Description:
  --last shot at a query submit page design

Date: 2006/04/03 13:55:39 CDT
Author: nli;
Description:
  --datawrapper lib updated, should do binary2html more correctly

Date: 2006/03/31 15:36:42 CST
Author: nli;
Description:
  debug 2 release

Date: 2006/03/31 15:35:58 CST
Author: nli;
Description:
  fixed some more prs

Date: 2006/03/31 12:52:29 CST
Author: nli;
Description:
  apply select into parsing on queries that don't neccessarily start with 'select'
  (PR 6955)

Date: 2006/03/30 15:50:19 CST
Author: nli;
Description:
  --better safari support

Date: 2006/03/28 14:31:50 CST
Author: nli;
Description:
  --qspop updated

Date: 2006/03/24 14:21:25 CST
Author: nli;
Description:
  --jobservice multi-instance safe?

Date: 2006/03/21 11:16:35 CST
Author: nli;
Description:
  --layout issue

Date: 2006/03/20 12:08:17 CST
Author: nli;
Description:
  do_weblog key added, functionality as well

Date: 2006/03/16 15:51:18 CST
Author: nli;
Description:
  loggin to weblog

Date: 2006/03/14 17:17:06 CST
Author: nli;
Description:
  loggin to weblog

Date: 2006/03/13 19:47:27 CST
Author: nli;
Description:
  *** empty log message ***

Date: 2006/03/13 13:53:01 CST
Author: nli;
Description:
  --all submission on submitjob, excluding getplan, now use post instead of get

Date: 2006/03/10 14:45:55 CST
Author: nli;
Description:
  --css changes
  --fixed some throws
  --web.config values for cjobstest.aspx

Date: 2006/03/10 14:16:19 CST
Author: nli;
Description:
  --sped up js sorting by using built-in sort

Date: 2006/03/10 13:45:59 CST
Author: nli;
Description:
  new logging added but not enabled

Date: 2006/03/09 13:47:49 CST
Author: nli;
Description:
  --possibly fixed issue where output jobs were going to short queue

Date: 2006/03/09 13:42:29 CST
Author: nli;
Description:
  fancy style sheet

Date: 2006/03/09 12:52:27 CST
Author: nli;
Description:
  *** empty log message ***

Date: 2006/02/24 14:28:41 CST
Author: nli;
Description:
  --moved output cleanup to a separate thread
  --fixed infinite loop in bigplot when a column had no range
  --some changes to outputcore

Date: 2006/02/20 17:56:24 CST
Author: nli;
Description:
  --mydbindex revision (sorting)
  --mydbcontent revision (cosmetic)

Date: 2006/02/17 14:18:01 CST
Author: nli;
Description:
  --csharpfits update
  --fixed extra go

Date: 2006/02/13 16:44:18 CST
Author: nli;
Description:
  --fix for multiple select into

Date: 2006/02/10 17:16:45 CST
Author: nli;
Description:
  --fixes

Date: 2006/02/10 17:04:49 CST
Author: nli;
Description:
  --tableimport redone

Date: 2006/02/06 16:59:01 CST
Author: nli;
Description:
  --ensured file handles are closed for non-fits output.  still awaiting fits fix.

Date: 2006/02/03 14:29:03 CST
Author: nli;
Description:
  --select into auto add error fixed

Date: 2006/02/03 14:09:02 CST
Author: nli;
Description:
  --sample queries, various css changes, some new tests

Date: 2006/01/26 13:08:50 CST
Author: nli;
Description:
  --parsing tuning

Date: 2006/01/25 14:45:52 CST
Author: nli;
Description:
  --plans suck.  plan-parsing has been removed.

Date: 2006/01/25 13:03:22 CST
Author: nli;
Description:
  --more parse fixes

Date: 2006/01/24 23:58:40 CST
Author: nli;
Description:
  --parse fixes

Date: 2006/01/24 16:08:31 CST
Author: nli;
Description:
  --updated service

Date: 2006/01/24 16:01:31 CST
Author: nli;
Description:
  --fix for multiple rows in select into

Date: 2006/01/24 14:45:34 CST
Author: nli;
Description:
  --jobservice update

Date: 2006/01/24 14:16:52 CST
Author: nli;
Description:
  --new filtering system based on plans
  --new test suite
  --nunit removed

Date: 2006/01/02 16:26:11 CST
Author: thakar;
Description:
  Made trailer check the last modified time of casnews.txt instead of default.aspx.

</pre>
